Name:		ltp
Version:	20240524
Release:        1%{?dist}
Summary:	Linux Test Project test suite

License:	GPLv2
URL:		https://github.com/linux-test-project/ltp
Source0:	ltp-20240524.tar.gz

Patch0:		0000-shmat03-ignore-EACCES.patch
Patch1:		0001-Disable-btrfs-as-we-don-t-support-it-anymore-new.patch
Patch2:		0002-rhel9-support-futex_waitv.patch
Patch3:		0003-configure.ac-Add-_GNU_SOURCE-for-struct-fs_quota_sta.patch
Patch4:		0004-quotactl07-add-_GNU_SOURCE-define.patch
Patch5:		0005-rpc_svc_1-Fix-incompatible-pointer-type-error.patch
Patch6:		0006-libswap-Fix-tst_max_swapfiles-for-c9s-latest.patch
Patch7:		0007-tst_kconfig-Avoid-reporting-buffer-overflow-when-par.patch
Patch8:		0008-msgstress01-remove-TWARN-from-runtime-remaining.patch
Patch9:		0009-realtime-prio-preempt-take-cpu-isolation-into-consid.patch
Patch10:	0010-kallsyms-skip-user-space-mapped-addresses.patch
Patch11:	0011-perf_event_open-improve-the-memory-leak-detection.patch
Patch12:	0012-Add-landlock-syscalls-definitions.patch
Patch13:	0013-lapi-syscalls-Add-fallback-definition-for-memfd_secr.patch
Patch14:	0014-Add-cachestat-fallback-definitions.patch
Patch15:	0015-Add-cachestat01-test.patch
Patch16:	0016-Add-cachestat02-test.patch
Patch17:	0017-Add-cachestat03-test.patch
Patch18:	0018-Add-cachestat04-test.patch
Patch19:	0019-cachestat-remove-.min_kver-from-cachestat-tests.patch
Patch20:	0020-cachestat01-Reduce-required-space-on-64kb-page-size.patch
Patch21:	0021-syscalls-execve04-creat07-skip-for-kernels-6.11-and-.patch
Patch22:	0022-lib-Create-tst_tmpdir.h.patch
Patch23:	0023-lib-make-tst_detach_device_by_fd-also-close-dev_fd.patch

BuildRequires:	git autoconf automake make gcc clang m4 pkgconf glibc-devel kernel-headers

%description
Linux Test Project is a joint project started by SGI, OSDL and Bull developed
and maintained by SUSE, Red Hat, Fujitsu, IBM, Cisco, Oracle and others. The
project goal is to deliver tests to the open source community that validate
reliability, robustness, and stability of the Linux Kernel.


%package openposix
Summary: Open POSIX test suite


%description openposix
The POSIX Test Suite is an open source test suite with the goal of performing
conformance, functional, and stress testing of the IEEE 1003.1-2001 System
Interfaces specification in a manner that is agnostic to any given
implementation.


%prep
%autosetup -p1


# /usr/include/sys/wait.h:83:16: error: variable ‘wait’ redeclared as function
#    83 | extern __pid_t wait (int *__stat_loc);
#       |                ^
# /usr/include/sys/wait.h:83:16: error: variable ‘wait’ redeclared as function
# nptl01.c:58:17: note: previously declared here
#    58 | pthread_mutex_t wait;
#       |                 ^
# lto1: fatal error: errors during merging of translation units
%define _lto_cflags %{nil}


%build
%{__make} autotools
%configure --prefix=%{_libdir}/ltp-testsuite
%make_build

pushd testcases/open_posix_testsuite
%configure --prefix=%{_libdir}/openposix-testsuite
%make_build
popd

%install
%make_install
%make_install -C testcases/open_posix_testsuite


%files 
%{_libdir}/ltp-testsuite


%files openposix
%{_libdir}/openposix-testsuite
%{_bindir}/run-all-posix-option-group-tests.sh
%{_bindir}/run-posix-option-group-test.sh


%changelog
%autochangelog
